Subject: bug#62162: 29.0.60; xref.el doesn't compile on Emacs 26, because multi-pair setq-local

From: João Távora <[email-masked]>
Date: Tue, 14 Mar 2023 00:43:35 +0000

On Tue, Mar 14, 2023 at 12:29 AM Dmitry Gutov <[email-masked]> wrote:

> and after I responded (on emacs-devel) Juri
> bumped the version 40 minutes after the commit with the fix.

I missed that. Great.

> > Closing this is premature, as the problem stands: the upcoming Eglot
> > 1.12 will have this problem on Emacs 26.  Re-opening.  I'll bump xref.el
> > myself in a day or so if no-one beats me to it, and then close.
>
> We're now waiting for the changes to be merged to master. You could do
> it yourself, if you are in a hurry.

I don't know how, and I'm not in that much of a hurry.  I think one day
without newest Eglot 1.12 in Emacs 26 is bearable.

Thanks,
João